# $Revision: 1.18 $, $Date: 2012/06/02 10:57:15 $
Summary:	Dropbox extension for Nautilus
Summary(pl.UTF-8):	Rozszerzenie Dropbox dla Nautilusa
Name:		nautilus-dropbox
Version:	1.4.0
Release:	1
License:	GPL v2 with exceptions
Group:		X11/Applications
Source0:	http://linux.dropbox.com/packages/%{name}-%{version}.tar.bz2
# Source0-md5:	ee08ccedccd4c49f1464957146e14d26
Patch0:		dropboxd-path.patch
URL:		http://getdropbox.com/
BuildRequires:	glib2-devel >= 1:2.14.0
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	libnotify-devel >= 0.4.4
BuildRequires:	nautilus-devel >= 3.0.0
BuildRequires:	pkgconfig
BuildRequires:	python-docutils
BuildRequires:	python-pygtk-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.311
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	nautilus >= 3.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dropbox extension for Nautilus used as sync, versioning and backup
software for your local and remote resources between a number of
machines.

%description -l pl.UTF-8
Rozszerzenie Dropbox dla Nautilusa używane do synchronizacji, obsługi
wersji oraz tworzenia kopii zapasowych zasobów lokalnych oraz zdalnych
pomiędzy określonymi maszynami.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--disable-dependency-tracking \
	--enable-static=no \

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-3.0/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/dropbox
%attr(755,root,root) %{_libdir}/nautilus/extensions-3.0/libnautilus-dropbox.so
%{_iconsdir}/hicolor/*/*/*.png
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/emblems
%{_datadir}/%{name}/emblems/*.icon
%{_datadir}/%{name}/emblems/*.png
%{_desktopdir}/dropbox.desktop
%{_mandir}/man1/*.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nautilus-dropbox.spec,v $
Revision 1.18  2012/06/02 10:57:15  caleb
- Up to 1.4.0

Revision 1.17  2012/04/11 20:29:26  blues
- rel.2

Revision 1.16  2012/01/18 13:44:12  caleb
- Up to 0.7.1

Revision 1.15  2011/04/21 19:18:45  lisu
- updated deps

Revision 1.14  2011/04/21 19:17:37  lisu
- new nautilus extensions dir
- use __rm macro
- rel 3

Revision 1.13  2011/02/04 18:23:57  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.12  2011/01/26 12:55:33  blues
- 0.6.7 - new source

Revision 1.11  2010/07/13 10:46:35  glen
- release 2

Revision 1.10  2010/07/08 18:00:40  glen
- find system dropboxd
- drop bogus wget dep

Revision 1.9  2010/07/08 14:36:29  glen
- up to 0.6.3

Revision 1.8  2010/05/18 13:42:50  sparky
- BR: rpm-pythonprov

Revision 1.7  2010/05/07 11:43:21  paszczus
- added BR: python-pygtk-devel

Revision 1.6  2010/05/05 11:44:21  caleb
- up to 0.6.2

Revision 1.5  2009/10/06 07:43:07  blues
- python-docutils is ok too

Revision 1.4  2009/10/06 07:16:51  blues
- 0.6.1

Revision 1.3  2008/11/03 08:28:57  duddits
- up to 0.5.0 (by Darek Moszkowicz)
- Source0 updated

Revision 1.2  2008/09/15 09:25:25  megabajt
- there are some exceptions in license
- release 1

Revision 1.1  2008/09/15 09:03:43  megabajt
- new from Darek Moszkowicz <mospanek at interia dot pl>
